Bug 1466758 - [abrt] gnome-shell: _g_log_abort(): gnome-shell killed by signal 5 (X error "BadValue (integer parameter out of range for operation)")
[abrt] gnome-shell: _g_log_abort(): gnome-shell killed by signal 5 (X error "...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:65a33f81a0196a089c33085084c...
:
: 1480274 1497240 1503810 1505176 1508834 1513224 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 07:53 EDT by Jan Sedlák
Modified: 2018-05-29 07:24 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:24:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.63 KB, text/plain)
2017-06-30 07:53 EDT, Jan Sedlák
no flags Details
File: cgroup (289 bytes, text/plain)
2017-06-30 07:53 EDT, Jan Sedlák
no flags Details
File: core_backtrace (31.80 KB, text/plain)
2017-06-30 07:53 EDT, Jan Sedlák
no flags Details
File: cpuinfo (1.31 KB, text/plain)
2017-06-30 07:53 EDT, Jan Sedlák
no flags Details
File: dso_list (25.07 KB, text/plain)
2017-06-30 07:53 EDT, Jan Sedlák
no flags Details
File: environ (2.30 KB, text/plain)
2017-06-30 07:53 EDT, Jan Sedlák
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-30 07:53 EDT, Jan Sedlák
no flags Details
File: maps (107.06 KB, text/plain)
2017-06-30 07:53 EDT, Jan Sedlák
no flags Details
File: open_fds (4.83 KB, text/plain)
2017-06-30 07:54 EDT, Jan Sedlák
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2017-06-30 07:54 EDT, Jan Sedlák
no flags Details
File: var_log_messages (10.72 KB, text/plain)
2017-06-30 07:54 EDT, Jan Sedlák
no flags Details

  None (edit)
Description Jan Sedlák 2017-06-30 07:53:42 EDT
Version-Release number of selected component:
gnome-shell-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=c58eb129522e4bd2948e9cc0b3bf5b29;i=23543;b=3d6cc0b5fe7d420abda7152119025ff7;m=4019aef;t=5532b3d8f1cd7;x=40985283b0782515
kernel:         4.11.6-301.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:549
 #1 g_log_writer_default at gmessages.c:2613
 #2 g_log_structured_array at gmessages.c:1933
 #3 g_log_structured at gmessages.c:1760
 #10 XInternAtom at IntAtom.c:181
 #11 gdk_x11_atom_to_xatom_for_display at gdkproperty-x11.c:115
 #12 _gdk_x11_dnd_filter at gdkdnd-x11.c:1958
 #13 gdk_event_apply_filters at gdkeventsource.c:79
 #14 gdk_event_source_translate_event at gdkeventsource.c:198
 #15 _gdk_x11_display_queue_events at gdkeventsource.c:341

Potential duplicate: bug 1387926
Comment 1 Jan Sedlák 2017-06-30 07:53:48 EDT
Created attachment 1293198 [details]
File: backtrace
Comment 2 Jan Sedlák 2017-06-30 07:53:50 EDT
Created attachment 1293199 [details]
File: cgroup
Comment 3 Jan Sedlák 2017-06-30 07:53:52 EDT
Created attachment 1293200 [details]
File: core_backtrace
Comment 4 Jan Sedlák 2017-06-30 07:53:53 EDT
Created attachment 1293201 [details]
File: cpuinfo
Comment 5 Jan Sedlák 2017-06-30 07:53:55 EDT
Created attachment 1293202 [details]
File: dso_list
Comment 6 Jan Sedlák 2017-06-30 07:53:56 EDT
Created attachment 1293203 [details]
File: environ
Comment 7 Jan Sedlák 2017-06-30 07:53:57 EDT
Created attachment 1293204 [details]
File: limits
Comment 8 Jan Sedlák 2017-06-30 07:53:59 EDT
Created attachment 1293205 [details]
File: maps
Comment 9 Jan Sedlák 2017-06-30 07:54:01 EDT
Created attachment 1293206 [details]
File: open_fds
Comment 10 Jan Sedlák 2017-06-30 07:54:02 EDT
Created attachment 1293207 [details]
File: proc_pid_status
Comment 11 Jan Sedlák 2017-06-30 07:54:04 EDT
Created attachment 1293208 [details]
File: var_log_messages
Comment 12 Vadim Kolchev 2017-07-16 15:28:18 EDT
*** Bug 1471541 has been marked as a duplicate of this bug. ***
Comment 13 Kamil Páral 2017-07-17 10:43:31 EDT
Similar problem has been detected:

My whole desktop crashes when I run Unturned game from Steam.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=e2187a6db36947dca51ea33e91ee9fa5;i=7488e;b=a0fdf66d3a8c401b9075f0bf4abf20a5;m=f502d6d;t=5548456bc3d50;x=54881064b66fc258
kernel:         4.11.10-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Jason Stevens 2017-08-10 10:54:35 EDT
*** Bug 1480274 has been marked as a duplicate of this bug. ***
Comment 15 marcin.kolny 2017-08-20 07:06:59 EDT
*** Bug 1483310 has been marked as a duplicate of this bug. ***
Comment 16 Alex Villacís Lasso 2017-08-28 12:47:29 EDT
Similar problem has been detected:

GNOME shell using wayland, monitor at 1440x900. Opened Firefox 55.0.2, with 2 tabs open, tried to put Firefox in fullscreen using F11. Screen froze for a minute, then dumped into GDM login.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=a0b2acfeb4ba40998235bd144dd0f605;i=1f20a;b=7a0867b091744b6280b2e6f062971880;m=1d31189f;t=557d2dfc7cce1;x=b5a6deba5daf2e6e
kernel:         4.12.8-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Renato Silva 2017-09-29 10:38:14 EDT
*** Bug 1497240 has been marked as a duplicate of this bug. ***
Comment 18 Piotr Rogowski 2017-10-03 03:49:41 EDT
Similar problem has been detected:

closed laptop lid with plugged in external monitor then shell crashed

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=84b367a38b6e4e3fb9743c9954b91f9c;i=eab8;b=436d024330b94bb9b907de4893226bc1;m=6cadddd8f;t=55a91dc93e28f;x=73934d0de670e99d
kernel:         4.12.14-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 HesusFTW 2017-10-18 15:43:51 EDT
*** Bug 1503810 has been marked as a duplicate of this bug. ***
Comment 20 John McKinney 2017-10-22 16:07:23 EDT
*** Bug 1505176 has been marked as a duplicate of this bug. ***
Comment 21 John McKinney 2017-10-22 16:16:24 EDT
This is still happening please provide link to fix.  System is running latest updates for Fedora 26.  If it is closed why is release still exhibiting issue.


 > uname -a
Linux localhost.localdomain 4.13.5-200.fc26.x86_64 #1 SMP Thu Oct 5 16:53:13 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

cat /proc/version
Linux version 4.13.5-200.fc26.x86_64 (mockbuild@bkernel01.phx2.fedoraproject.org) (gcc version 7.2.1 20170915 (Red Hat 7.2.1-2) (GCC)) #1 SMP Thu Oct 5 16:53:13 UTC 2017

lsb_release -a
LSB Version:	:core-4.1-amd64:core-4.1-noarch:cxx-4.1-amd64:cxx-4.1-noarch:desktop-4.1-amd64:desktop-4.1-noarch:languages-4.1-amd64:languages-4.1-noarch:printing-4.1-amd64:printing-4.1-noarch
Distributor ID:	Fedora
Description:	Fedora release 26 (Twenty Six)
Release:	26
Codename:	TwentySix


jmckinney@localhost$> sudo lshw -short
H/W path                      Device      Class          Description
====================================================================
                                          system         To Be Filled By O.E.M. (To Be Filled By O.E.M.)
/0                                        bus            AB350 Gaming-ITX/ac
/0/0                                      memory         64KiB BIOS
/0/a                                      memory         16GiB System Memory
/0/a/0                                    memory         8GiB DIMM DDR4 Synchronous Unbuffered (Unregistered) 2400 MHz (0.4 ns)
/0/a/1                                    memory         8GiB DIMM DDR4 Synchronous Unbuffered (Unregistered) 2400 MHz (0.4 ns)
/0/c                                      memory         384KiB L1 cache
/0/d                                      memory         2MiB L2 cache
/0/e                                      memory         8MiB L3 cache
/0/f                                      processor      AMD Ryzen 3 1200 Quad-Core Processor
/0/100                                    bridge         Family 17h (Models 00h-0fh) Root Complex
/0/100/0.2                                generic        Advanced Micro Devices, Inc. [AMD]
/0/100/1.1                                bridge         Advanced Micro Devices, Inc. [AMD]
/0/100/1.1/0                              storage        Sandisk Corp
/0/100/1.3                                bridge         Advanced Micro Devices, Inc. [AMD]
/0/100/1.3/0                              bus            USB 3.1 XHCI Controller
/0/100/1.3/0/0                usb1        bus            xHCI Host Controller
/0/100/1.3/0/0/6                          communication  Bluetooth wireless interface
/0/100/1.3/0/0/a                          bus            Hub
/0/100/1.3/0/0/a/1                        input          HP USB Multimedia Keyboard
/0/100/1.3/0/1                usb2        bus            xHCI Host Controller
/0/100/1.3/0/1/1              scsi10      storage        BUP Slim BL
/0/100/1.3/0/1/1/0.0.0        /dev/sdb    disk           1TB BUP Slim BL
/0/100/1.3/0/1/1/0.0.0/1      /dev/sdb1   volume         931GiB Windows NTFS volume
/0/100/1.3/0.1                            storage        Advanced Micro Devices, Inc. [AMD]
/0/100/1.3/0.2                            bridge         Advanced Micro Devices, Inc. [AMD]
/0/100/1.3/0.2/0                          bridge         Advanced Micro Devices, Inc. [AMD]
/0/100/1.3/0.2/1                          bridge         Advanced Micro Devices, Inc. [AMD]
/0/100/1.3/0.2/4                          bridge         Advanced Micro Devices, Inc. [AMD]
/0/100/1.3/0.2/5                          bridge         Advanced Micro Devices, Inc. [AMD]
/0/100/1.3/0.2/6                          bridge         Advanced Micro Devices, Inc. [AMD]
/0/100/1.3/0.2/6/0            wlp9s0      network        Intel Corporation
/0/100/1.3/0.2/7                          bridge         Advanced Micro Devices, Inc. [AMD]
/0/100/1.3/0.2/7/0            enp10s0     network        I211 Gigabit Network Connection
/0/100/3.1                                bridge         Advanced Micro Devices, Inc. [AMD]
/0/100/3.1/0                              display        Venus LE [Radeon HD 8830M]
/0/100/3.1/0.1                            multimedia     Cape Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series]
/0/100/7.1                                bridge         Family 17h (Models 00h-0fh) Internal PCIe GPP Bridge 0 to Bus B
/0/100/7.1/0                              generic        Advanced Micro Devices, Inc. [AMD]
/0/100/7.1/0.2                            generic        Advanced Micro Devices, Inc. [AMD]
/0/100/7.1/0.3                            bus            USB3 Host Controller
/0/100/7.1/0.3/0              usb3        bus            xHCI Host Controller
/0/100/7.1/0.3/0/1            scsi9       storage        MXT USB Device
/0/100/7.1/0.3/0/1/0.0.0      /dev/sdc    disk           15GB Storage Device
/0/100/7.1/0.3/0/1/0.0.0/0    /dev/sdc    disk           15GB 
/0/100/7.1/0.3/0/1/0.0.0/0/1  /dev/sdc1   volume         14GiB Windows FAT volume
/0/100/7.1/0.3/1              usb4        bus            xHCI Host Controller
/0/100/8.1                                bridge         Family 17h (Models 00h-0fh) Internal PCIe GPP Bridge 0 to Bus B
/0/100/8.1/0                              generic        Advanced Micro Devices, Inc. [AMD]
/0/100/8.1/0.2                            storage        FCH SATA Controller [AHCI mode]
/0/100/8.1/0.3                            multimedia     Advanced Micro Devices, Inc. [AMD]
/0/100/14                                 bus            FCH SMBus Controller
/0/100/14.3                               bridge         FCH LPC Bridge
/0/101                                    bridge         Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge
/0/102                                    bridge         Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge
/0/103                                    bridge         Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge
/0/104                                    bridge         Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge
/0/105                                    bridge         Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge
/0/106                                    bridge         Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge
/0/107                                    bridge         Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 0
/0/108                                    bridge         Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 1
/0/109                                    bridge         Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 2
/0/10a                                    bridge         Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 3
/0/10b                                    bridge         Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 4
/0/10c                                    bridge         Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 5
/0/10d                                    bridge         Family 17h (Models 00h-0fh) Data Fabric Device 18h Function 6
/0/10e                                    bridge         Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 7
/0/1                          scsi0       storage        
/0/1/0.0.0                    /dev/sda    disk           1TB WDC WD10EZEX-60W
/0/1/0.0.0/1                  /dev/sda1   volume         199MiB Windows FAT volume
/0/1/0.0.0/2                  /dev/sda2   volume         1GiB EXT4 volume
/0/1/0.0.0/3                  /dev/sda3   volume         930GiB LVM Physical Volume
/1                            virbr0-nic  network        Ethernet interface
/2                            virbr0      network        Ethernet interface
Comment 22 Will Tatam 2017-11-02 06:27:14 EDT
*** Bug 1508834 has been marked as a duplicate of this bug. ***
Comment 23 Jason Stevens 2017-11-14 19:39:38 EST
*** Bug 1513224 has been marked as a duplicate of this bug. ***
Comment 24 Adam Williamson 2017-12-15 22:49:20 EST
So this is yet another bug affected by https://bugzilla.redhat.com/show_bug.cgi?id=1509086 , an issue with abrt that causes it to consider bugs that are not really at all related as dupes. Almost every 'dupe' here will not actually turn out to be a dupe.

The critical error in the actual initial report here is this:

čen 30 12:54:23 dhcp-28-124.brq.redhat.com gnome-shell[3155]: The program 'gnome-shell' received an X Window System error.
                                                               This probably reflects a bug in the program.
                                                               The error was 'BadValue (integer parameter out of range for operation)'.
                                                                 (Details: serial 473 error_code 2 request_code 137 (XFIXES) minor_code 31)
                                                                 (Note to programmers: normally, X errors are reported asynchronously;
                                                                  that is, you will receive the error a while after causing it.
                                                                  To debug your program, run it with the GDK_SYNCHRONIZE environment
                                                                  variable to change this behavior. You can then get a meaningful
                                                                  backtrace from your debugger if you break on the gdk_x_error() function.)

which is preceded by some fairly suspicious other error messages:

čen 30 12:54:23 dhcp-28-124.brq.redhat.com gnome-shell[3155]: value "-915" of type 'gint' is invalid or out of range for property 'y2' of type 'gint'
čen 30 12:54:23 dhcp-28-124.brq.redhat.com gnome-shell[3155]: value "-942" of type 'gint' is invalid or out of range for property 'y1' of type 'gint'
čen 30 12:54:23 dhcp-28-124.brq.redhat.com gnome-shell[3155]: value "-942" of type 'gint' is invalid or out of range for property 'y2' of type 'gint'
čen 30 12:54:23 dhcp-28-124.brq.redhat.com gnome-shell[3155]: value "-942" of type 'gint' is invalid or out of range for property 'y1' of type 'gint'
čen 30 12:54:23 dhcp-28-124.brq.redhat.com gnome-shell[3155]: value "-915" of type 'gint' is invalid or out of range for property 'y2' of type 'gint'
čen 30 12:54:23 dhcp-28-124.brq.redhat.com gnome-shell[3155]: value "-942" of type 'gint' is invalid or out of range for property 'y1' of type 'gint'
(etc. - several more of the same type)

Unless you have the same X error (and probably similar messages about "type 'gint' is invalid or out of range" in the system log), you likely don't actually have the same bug that Jan had.

If you actually filed a separate bug which got marked as a dupe of this, I'm going to go through those and unpick them now. If you only got a comment added to this bug, I don't have any data to check into your problem, so I can't do that for you. If you're still hitting a crash that abrt thinks is a dupe of this bug, please see if you can access the crash data directory and look at the 'backtrace' and 'var_log_messages' files. In the backtrace, in the active thread, you should be able to find the actual critical error message, a few frames behind the '_g_log_abort' call - please look at that. Please also look at the var_log_messages file as it may well have other useful error messages. With this data, you may be able to identify another bug which really *is* a duplicate of yours, and follow that one. Otherwise, please file a new bug, with at least a full backtrace and the var_log_messages file attached.

Note that if the message is "connection to Xwayland lost" or similar, all that tells us is that XWayland crashed - it doesn't tell us *why*. So other log info is very important in this case. If you can attach a journal extract from the time around the crash, and/or any information you can get from the suggestions at https://fedoraproject.org/wiki/How_to_debug_Wayland_problems and https://fedoraproject.org/wiki/How_to_debug_Xorg_problems , that would be very helpful. Thank you!
Comment 25 Adam Williamson 2017-12-15 23:07:59 EST
So actually, I went through and these bugs are all more similar to each other than the other cases. They all involve X errors taking down GNOME, and many of them do look pretty similar to each other, involving an X error like this:

The error was 'BadValue (integer parameter out of range for operation)'.

and log messages like this:

Nov 14 17:10:26 STHWJ gnome-shell[2315]: value "-2331" of type 'gint' is invalid or out of range for property 'x1' of type 'gint'
Nov 14 17:10:26 STHWJ gnome-shell[2315]: value "-2276" of type 'gint' is invalid or out of range for property 'x2' of type 'gint'

Several also have messages like this:

Sep 29 11:24:01 itau-000359 org.gnome.Shell.desktop[2136]: Window manager warning: No rect to clip to found!
Sep 29 11:24:01 itau-000359 org.gnome.Shell.desktop[2136]: Window manager warning: struts occupy an unusually large percentage of the screen; available remaining width = 0 < 100Window manager warning: No rect to clip to found!

So there likely are one or two common bugs in several of the cases here, but it's not clear exactly what they are. It'd be helpful for affected folks to mention whether they're still seeing the crash with latest F26/F27, what they were doing at the time of the crash, whether they can reproduce it reliably with some set of steps, whether they have multiple displays (and whether they plug/unplug them), what shell extensions they have enabled, and stuff like that - maybe we can spot some common patterns there. Thanks.
Comment 26 Fedora End Of Life 2018-05-03 04:06:01 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 27 Fedora End Of Life 2018-05-29 07:24:55 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.